/* $Id: ExitAction.java,v 1.1 2002/07/26 23:14:46 adamtj Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import java.awt.event.ActionEvent;

/**
 *  Quits the program.
 *
 * @author Adam Tomjack <adamtj@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */
public class ExitAction extends AbstractGraphAction {
	
	/** Creates a new instance of ExitAction */
	public ExitAction() {
		super();
	}
	
	public ExitAction(String name) {
		super(name);
	}
	
	public ExitAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		java.lang.Runtime.getRuntime().exit(0);
	}
}

/*
 * $Log: ExitAction.java,v $
 * Revision 1.1  2002/07/26 23:14:46  adamtj
 * Oops.  These are needed to enable the GEM layout and the Exit command on the file menu.
 *
 */
