/* $Id: ZoomInAction.java,v 1.1 2002/01/15 19:46:54 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import java.awt.event.ActionEvent;

import fcmodeler.FCModeler;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class ZoomInAction extends AbstractGraphAction {
	
	/** Creates new ZoomInAction */
	public ZoomInAction() {
		super();
	}
	
	public ZoomInAction(String name) {
		super(name);
	}
	
	public ZoomInAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		zoomIn(_fcmodeler);
	}
	
	public static void zoomIn(FCModeler fcmodeler) {
		fcmodeler.getScrollableJGraph().zoomIn();
	}
}

/* 
 * $Log: ZoomInAction.java,v $
 * Revision 1.1  2002/01/15 19:46:54  zcox
 * initial commit of actions package
 *
 *
 *
 */
