/* $Id: ZoomOutAction.java,v 1.1 2002/01/15 19:46:54 zcox Exp $
 *
 *
 */

package fcmodeler.actions;

import javax.swing.Icon;
import java.awt.event.ActionEvent;

import fcmodeler.FCModeler;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class ZoomOutAction extends AbstractGraphAction {
	
    /** Creates new ZoomOutAction */
	public ZoomOutAction() {
		super();
	}
	
	public ZoomOutAction(String name) {
		super(name);
	}
	
	public ZoomOutAction(String name, Icon icon) {
		super(name, icon);
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		//have AbstractGraphAction get the fcmodeler object
		super.actionPerformed(actionEvent);
		
		zoomOut(_fcmodeler);
	}
	
	public static void zoomOut(FCModeler fcmodeler) {
		fcmodeler.getScrollableJGraph().zoomOut();
	}
}

/* 
 * $Log: ZoomOutAction.java,v $
 * Revision 1.1  2002/01/15 19:46:54  zcox
 * initial commit of actions package
 *
 *
 *
 */
