/* $Id: PostscriptFileFilter.java,v 1.4 2002/02/15 20:01:06 zcox Exp $
 *
 *
 * Created on April 3, 2001, 7:34 PM
 */

package fcmodeler.io;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.4 $
 * @since JDK1.3
 */

public class PostscriptFileFilter extends AbstractFileFilter {
	private String _postscriptExtension = "ps";
	
	/** Creates new PostscriptFileFilter */
	public PostscriptFileFilter() {
		_description = "Postscript File (*." + _postscriptExtension + ")";
	}
	
	public boolean isValidExtension(String extension) {
		boolean isValid = false;
		
		if (extension.equals(_postscriptExtension)) {
			isValid = true;
		}
		
		return isValid;
	}
}

/* 
 * $Log: PostscriptFileFilter.java,v $
 * Revision 1.4  2002/02/15 20:01:06  zcox
 * big time update
 *
 * Revision 1.3  2002/01/15 20:30:06  zcox
 * some changes
 *
 * Revision 1.2  2001/05/22 16:42:10  zcox
 * code clean-up
 *
 * Revision 1.1  2001/04/04 01:21:47  zcox
 * initial commit of some fcmodeler.io classes
 *
 *
 *
 */
