/* $Id: Dot.java,v 1.1 2002/01/15 20:35:22 zcox Exp $
 *
 *
 */

package fcmodeler.layout;

import java.io.IOException;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class Dot extends Object {
	private Process _dot = null;
	
	/** Creates new Dot */
	public Dot(String pathToDot, String options) {
		String dotCommand = null;
		//System.out.println("Dot constructor, pathToDot = " + pathToDot + ", options = " + options);
		
		//configure the command
		if (options != null) {
			dotCommand = pathToDot + " " + options;
		}
		else {
			dotCommand = pathToDot;
		}
		
		//start the dot process
		try {
			//System.out.println("starting dot process with dotCommand = " + dotCommand);
			_dot = Runtime.getRuntime().exec(dotCommand);
		} catch (IOException e) {
			System.out.println("there was an error starting the dot process");
			e.printStackTrace();
		}
		//System.out.println("dot process started, _dot = " + _dot);
	}
	
	public Process getProcess() {
		return _dot;
	}
}

/* 
 * $Log: Dot.java,v $
 * Revision 1.1  2002/01/15 20:35:22  zcox
 * initial commit of some layout classes
 *
 * 
 */
