/* $Id: AttributesListModel.java,v 1.1 2002/02/15 20:23:57 zcox Exp $
 *
 *
 */

package fcmodeler.mapping;

import javax.swing.AbstractListModel;
import java.util.Collection;
import java.util.Iterator;

/** 
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class AttributesListModel extends AbstractListModel {
	private Collection _attributes = null;
	
	/** Creates new AttributesListModel */
	public AttributesListModel(Collection attributes) {
		_attributes = attributes;
	}
	
	public Object getElementAt(int index) {
		int i = 0;
		Object attribute = null;
		
		for (Iterator iterator = _attributes.iterator(); iterator.hasNext() && i <= index; i++) {
			attribute = iterator.next();
		}
		
		return attribute;
	}
	
	public int getSize() {
		return _attributes.size();
	}
	
}

/* 
 * $Log: AttributesListModel.java,v $
 * Revision 1.1  2002/02/15 20:23:57  zcox
 * big time update
 *
 *
 *
 */
