package fcmodeler.view.figures;

import diva.canvas.connector.ConnectorEnd;

public interface ConnectorEndExt extends ConnectorEnd, Cloneable {
  /** Creates and returns a copy of this <CODE>ConnectorEnd</CODE>.  The returned
     * <CODE>Object</CODE> should be a concrete implementation type of <CODE>ConnectorEnd</CODE>
     * and also have copies of any mutable fields of this object.
     *
     * @throws CloneNotSupportedException should never be thrown.
     * @return a clone of this <CODE>ConnectorEnd</CODE>.
     */
    public Object clone() throws CloneNotSupportedException;
}