/* $Id: TestArrowhead.java,v 1.1 2002/01/15 20:41:38 zcox Exp $
 *
 *
 */

package fcmodeler.view.figures;

import diva.canvas.connector.Arrowhead;

/** Shows how often diva.canvas.connector.Arrowhead.reshape() gets called.  That method creates a new
 * java.awt.geom.AffineTransform object at the beginning of each call.  Could also extend 
 * diva.canvas.connector.Blob, to show the same thing.
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class TestArrowhead extends Arrowhead {
	
	/** Creates new TestArrowhead */
	public TestArrowhead() {
		this(0.0, 0.0, 0.0);
	}
	
	public TestArrowhead (double x, double y, double normal) {
		super(x, y, normal);
	}
	
	public void reshape() {
		System.out.println("reshape()");
		super.reshape();
	}
}

/* 
 * $Log: TestArrowhead.java,v $
 * Revision 1.1  2002/01/15 20:41:38  zcox
 * initial commit of some figure classes
 *
 *
 *
 */
