/* $Id: EdgeModifier.java,v 1.1 2002/01/15 19:44:14 zcox Exp $
 *
 *
 */

package fcmodeler.interaction;

import diva.canvas.connector.ConnectorListener;
import diva.canvas.connector.ConnectorEvent;
import diva.graph.GraphController;
import diva.canvas.connector.Connector;
import diva.canvas.Figure;
import diva.graph.model.Edge;
import diva.graph.model.Node;
import diva.graph.model.GraphModel;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class EdgeModifier extends Object implements ConnectorListener {
	private GraphController _controller = null;
	
	/** Creates new EdgeModifier */
	public EdgeModifier(GraphController controller) {
		_controller = controller;
	}
	
	public void connectorDragged(ConnectorEvent connectorEvent) {
		
	}
	
	public void connectorDropped(ConnectorEvent connectorEvent) {
		/*Connector c = connectorEvent.getConnector();
		Figure f = connectorEvent.getTarget();
		Edge e = (Edge)c.getUserObject();
		Node n = (f == null) ? null : (Node)f.getUserObject();
		GraphModel model = _controller.getGraphModel();
		
		switch (connectorEvent.getEnd()) {
			case ConnectorEvent.HEAD_END:
				model.setEdgeHead(e, n);
				break;
			case ConnectorEvent.TAIL_END:
				model.setEdgeTail(e, n);
				break;
			default:
				throw new IllegalStateException(
				"Cannot handle both ends of an edge being dragged.");
		}*/
	}
	
	public void connectorSnapped(ConnectorEvent connectorEvent) {
		Connector connector = connectorEvent.getConnector();
		Figure target = connectorEvent.getTarget();
		Edge edge = (Edge) connector.getUserObject();
		Node node = (target == null) ? null : (Node) target.getUserObject();
		GraphModel model = _controller.getGraphModel();
		
		switch (connectorEvent.getEnd()) {
			case ConnectorEvent.HEAD_END:
				model.setEdgeHead(edge, node);
				break;
			case ConnectorEvent.TAIL_END:
				model.setEdgeTail(edge, node);
				break;
			default:
				throw new IllegalStateException("Cannot handle both ends of an edge being dragged.");
		}
	}
	
	public void connectorUnsnapped(ConnectorEvent connectorEvent) {
		Connector connector = connectorEvent.getConnector();
		Edge edge = (Edge) connector.getUserObject();
		GraphModel model = _controller.getGraphModel();
		
		switch (connectorEvent.getEnd()) {
			case ConnectorEvent.HEAD_END:
				model.setEdgeHead(edge, null);
				break;
			case ConnectorEvent.TAIL_END:
				model.setEdgeTail(edge, null);
				break;
			default:
				throw new IllegalStateException("Cannot handle both ends of an edge being dragged.");
		}
	}
}

/* 
 * $Log: EdgeModifier.java,v $
 * Revision 1.1  2002/01/15 19:44:14  zcox
 * initial commit of interaction package
 *
 * 
 */
