/* $Id: JPEGFileFilter.java,v 1.4 2002/02/15 20:01:06 zcox Exp $
 *
 *
 * Created on March 27, 2001, 4:55 PM
 */

package fcmodeler.io;

import java.io.File;

/**
 * ... is ...
 *
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.4 $
 * @since JDK1.3
 */

public class JPEGFileFilter extends AbstractFileFilter {
	private String _jpegExtension1 = "jpeg";
	private String _jpegExtension2 = "jpg";
	
	/** Creates new JPEGFileFilter */
	public JPEGFileFilter() {
		_description = "JPEG Image (*." + _jpegExtension1 + ", *." + _jpegExtension2 + ")";
	}
	
	public boolean isValidExtension(String extension) {
		boolean isValid = false;
		
		if (extension.equals(_jpegExtension1) || extension.equals(_jpegExtension2)) {
			isValid = true;
		}
		
		return isValid;
	}
}

/* 
 * $Log: JPEGFileFilter.java,v $
 * Revision 1.4  2002/02/15 20:01:06  zcox
 * big time update
 *
 * Revision 1.3  2002/01/15 20:30:05  zcox
 * some changes
 *
 * Revision 1.2  2001/05/22 16:42:10  zcox
 * code clean-up
 *
 * Revision 1.1  2001/04/04 01:21:47  zcox
 * initial commit of some fcmodeler.io classes
 *
 *
 *
 */
