/* $Id: AbstractDotFactory.java,v 1.1 2002/01/15 20:29:27 zcox Exp $
 *
 *
 */

package fcmodeler.io.dot;

import diva.graph.GraphView;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public abstract class AbstractDotFactory {
	
	/** Creates new AbstractDotFactory */
	public AbstractDotFactory() {
		
	}
	
	public abstract DotGraphHandler createDotHandler(GraphView graphView);
	
	public abstract DotGraphWriter createDotWriter();
}

/* 
 * $Log: AbstractDotFactory.java,v $
 * Revision 1.1  2002/01/15 20:29:27  zcox
 * initial commit of fcmodeler.io.dot package
 *
 * 
 */
