/* $Id: Path.java,v 1.1 2002/01/15 20:38:35 zcox Exp $
 *
 *
 */

package fcmodeler.subgraph;

import java.util.Collection;

import diva.util.SemanticObjectContainer;

/**
 * ... is ...
 *
 * @author Julie Dickerson <julied@iastate.edu>
 * @author Zach Cox <zcox@iastate.edu>
 *
 * @version $Revision: 1.1 $
 * @since JDK1.3
 */

public class Path extends Walk {
	
	/** Creates new Path */
	public Path() {
		super();
	}
	
	public Path(Collection collection) {
		super(collection);
	}
	
	public String toString() {
		String s = "[";
		SemanticObjectContainer soc = null;
		
		if (!isEmpty()) {
			for (int i=0; i<size(); i++) {
				soc = (SemanticObjectContainer) get(i);
				s += soc.getSemanticObject().toString();
				if (i < size()-1) {
					s += ", ";
				}
			}
		}
		s += "]";
		
		return s;
	}
}

/* 
 * $Log: Path.java,v $
 * Revision 1.1  2002/01/15 20:38:35  zcox
 * initial commit of some subgraph classes
 *
 * 
 */
